package com.securitycontrol.background.service;

import com.securitycontrol.common.core.domain.Result;
import com.securitycontrol.entity.background.dto.ClassCheckDto;
import com.securitycontrol.entity.background.vo.ClassCheckVo;

import java.util.List;

/**
 * 任务分配 业务接口层
 */
public interface TaskCheckService {
    /**
     * 分页查询 分配信息数据 接口
     * @param dto
     * @return
     */
    List<ClassCheckVo> getPageList(ClassCheckDto dto);

    /**
     * 查询已分配的数据集合
     * @param dto
     * @return
     */
    List<ClassCheckVo> getClassList(ClassCheckDto dto);

    /**
     * 任务分配
     * @param dto
     * @return
     */
    Result<String> dutyFpClass(ClassCheckDto dto);

    /**
     * 移除任务
     * @param dto
     * @return
     */
    Result<String> delTask(ClassCheckDto dto);

    Result<String> delAllTask(ClassCheckDto dto);
}
